Name: iptables
Summary: Tools for managing Linux kernel packet filtering capabilities
Version: 1.2.7a
Release: alt1
Source: http://www.iptables.org/files//%name-%version.tar.bz2
Source1: iptables.init
Source2: ip6tables.init
Source3: iptables.config
Source4: ip6tables.config
Source5: iptables_modules
Source6: ip6tables_modules
Patch1: iptables-1.2.2-iptables-restore-crash-fix.patch
Patch2: iptables-1.2.6a-numeric_fix.patch
Group: System/Kernel and hardware
Url: http://www.iptables.org/
License: GPL
BuildPreReq: perl-base, kernel24-headers
Requires: kernel24 >= 2.4.20-alt0.1
Prefix: %prefix
AutoProv: yes, nolib

%description
iptables controls the Linux kernel network packet filtering code.
It allows you to set up firewalls and IP masquerading, etc.

Install iptables if you need to set up firewalling for your
network.

Install this only if you are using the 2.4 kernels!!

%package ipv6
Summary: IPv6 support for iptables
Group: System/Kernel and hardware
Requires: %name = %version-%release
AutoProv: yes, nolib

%description ipv6
IPv6 support for iptables.

iptables controls the Linux kernel network packet filtering code.
It allows you to set up firewalls and IP masquerading, etc.

IPv6 is the next version of the IP protocol.

Install iptables-ipv6 if you need to set up firewalling for your
network and you're using ipv6.

%prep
%setup -q
%patch1 -p1
%patch2 -p0
# Put it to a reasonable place
perl -pi -e "s,/usr/local,%prefix,g" * */*

# Fix NETLINK script detection name
mv extensions/.NETLINK.test extensions/.NETLINK-test

%build
make COPT_FLAGS="$RPM_OPT_FLAGS" iptables-save iptables-restore all experimental

%install
make install install-experimental DESTDIR=%buildroot BINDIR=/sbin MANDIR=%_mandir

mkdir -p $RPM_BUILD_ROOT%_initrddir/
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/sysconfig
install -m755 %SOURCE1 $RPM_BUILD_ROOT%_initrddir/iptables
install -m755 %SOURCE2 $RPM_BUILD_ROOT%_initrddir/ip6tables
install -m640 %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/iptables
install -m640 %SOURCE4 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/ip6tables
install -m640 %SOURCE5 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/iptables_modules
install -m640 %SOURCE6 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/ip6tables_modules

%files
%config(noreplace) %_sysconfdir/sysconfig/iptables
%config(noreplace) %_sysconfdir/sysconfig/iptables_modules
%doc KNOWN_BUGS
%_initrddir/iptables
/sbin/iptables*
%_mandir/*/iptables*
%dir %prefix/lib/iptables
%prefix/lib/iptables/libipt*

%files ipv6
%config(noreplace) %_sysconfdir/sysconfig/ip6tables
%config(noreplace) %_sysconfdir/sysconfig/ip6tables_modules
%_initrddir/ip6tables
/sbin/ip6tables*
%_mandir/*/ip6tables*
%prefix/lib/iptables/libip6t*


%changelog
* Tue Nov 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.2.7a-alt1
- 1.2.7a
- Rebuilt in new environment
- Added package iptables-ipv6
- Some spec cleanup
- Completely upgraded initscript's
- Fixed provides

* Tue Apr 16 2002 Konstantin Volckov <goldhead@linux.ru.net> 1.2.6a-alt1
- 1.2.6a
- Applied patch-o-matic userspace patches
- Fixed numeric bug
- Rebuilt with new kernel

* Mon Mar 11 2002 Konstantin Volckov <goldhead@linux.ru.net> 1.2.5-alt2
- Rebuilt with new kernel
- Added missed modules
- Fixed detection of NETLINK module

* Thu Jan 24 2002 Konstantin Volckov <goldhead@linux.ru.net> 1.2.5-alt1
- 1.2.5

* Fri Nov 23 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2.4-alt1
- 1.2.4
- Fixed iptables-restore

* Thu Oct 11 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2.3-alt2
- Fixed iptables.init scripts

* Tue Sep 4 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2.3-alt1
- New version 1.2.3

* Thu Jun 7 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2.2 alt1
- New version 1.2.2

* Sun Mar 18 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2.1 ipl1
- New version 1.2.1
- init script
- tools iptables-save | iptables-restore

* Fri Feb 23 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2-ipl1mdk
- First Build for RE

* Tue Jan 09 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2-1mdk
- new and shiny source.

* Sat Dec 16 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.2-2mdk
- really build it on the alpha with egcs.

* Sat Dec 16 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.2-1mdk
- shamelessly rip a rpm from Red Hat.
- update to 1.1.2.
- build on alpha as well.

* Thu Aug 17 2000 Bill Nottingham <notting@redhat.com>
- build everywhere

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.1.1

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- move iptables to /sbin.
- excludearch alpha for now, not building there because of compiler bug(?)

* Fri Jun  9 2000 Bill Nottingham <notting@redhat.com>
- don't obsolete ipchains either
- update to 1.1.0

* Mon Jun  4 2000 Bill Nottingham <notting@redhat.com>
- remove explicit kernel requirement

* Tue May  2 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- initial package
